@echo off
cls
if not exist hypfile.cfg goto startoldsf2
if not exist face.id goto miscmiss
if not exist facex.r goto miscmiss
if not exist select.sf2 goto miscmiss
if not exist ken.re goto remiss
if not exist ryu.re goto remiss
if not exist zangief.re goto remiss
if not exist honda.re goto remiss
if not exist chunli.re goto remiss
if not exist guile.re goto remiss
if not exist blanka.re goto remiss
if not exist dalsim.re goto remiss
if exist a11.voc goto extractvoc
goto starthyp
:extractvoc
if exist a33.voc goto starthyp
cls
echo Apprently you're trying out the SF2 Hyper Version 1.0 patch for the
echo first time! Well here's some tips to configure the game for first timers:
echo -
echo The SF2 configuration program will start after this message. Read on!
echo 1. If you have a 386SX-33 or below, tune the VIDEO BLINKING to 0
echo 2. If you have a 386DX or faster computer, tune the VIDEO BLINKING to 1 so
echo    the power bar won't flicker and strain your eyes
echo 3. Now choose CHECKING VIDEO SPEED (MANUAL), put down number 56. Hit Enter.
echo 4. If you have a 486 computer, choose CHECKING VIDEO SPEED (AUTOMATIC)
ECHO    write down the number, multiply it by 0.7, and put that number down
echo    on CHECKING VIDEO SPEED (MANUAL) so the game won't crawl or fly.
echo 5. The default Key configuration should have the least conflict when
echo    playing a 2-players game. Choose VIEW CURRENT CONFIGURATION STATE to
echo    find out which key is which.
echo 6. Type SF2SETUP normally for the configuration program
echo -
echo -
echo Hit Enter for a few times to start, to view this message again read
echo README.TXT because this message will not appear the next time you run SF2.
pause >nul
pause >nul
pause >nul
pause >nul
pause >nul
pause >nul
sf2setup
cls
echo For the first time the Hyper Fighting patch is played the program will
echo duplicate necessary VOC files, the extra VOC files will cost about
echo 200,000 bytes of your disk space. Hit a key now to duplicate the files
echo or hit Ctrl-C now to abort the operation. Details on README.TXT, page 5.
echo (This message won't appear again if you hit a key now, nothing will be
echo overwritten during this process so DON'T WORRY! :)
pause >nul
echo Now duplicating necessary files ...
copy a11.voc a14.voc >nul
copy a11.voc a17.voc >nul
copy a11.voc a20.voc >nul
copy a11.voc a23.voc >nul
copy a11.voc a26.voc >nul
copy a11.voc a29.voc >nul
copy a11.voc a32.voc >nul
copy a11.voc a35.voc >nul
copy a11.voc a38.voc >nul
copy a12.voc a15.voc >nul
copy a12.voc a18.voc >nul
copy a12.voc a21.voc >nul
copy a12.voc a24.voc >nul
copy a12.voc a27.voc >nul
copy a12.voc a30.voc >nul
copy a12.voc a33.voc >nul
copy a12.voc a36.voc >nul
copy a12.voc a39.voc >nul
copy a13.voc a16.voc >nul
copy a13.voc a19.voc >nul
copy a13.voc a22.voc >nul
copy a13.voc a25.voc >nul
copy a13.voc a28.voc >nul
copy a13.voc a31.voc >nul
copy a13.voc a34.voc >nul
copy a13.voc a37.voc >nul
copy a13.voc a40.voc >nul
copy 0l.voc 1l.voc >nul
copy 0l.voc 2l.voc >nul
copy 0l.voc 3l.voc >nul
copy 0l.voc 4l.voc >nul
copy 0l.voc 6l.voc >nul
copy 0l.voc 7l.voc >nul
copy 0l.voc 8l.voc >nul
copy 0w.voc 1w.voc >nul
copy 0w.voc 2w.voc >nul
copy 0w.voc 3w.voc >nul
copy 0w.voc 4w.voc >nul
copy 0w.voc 5w.voc >nul
copy 0w.voc 6w.voc >nul
copy 0w.voc 7w.voc >nul
copy 0w.voc 8w.voc >nul
echo Duplication complete! Hit a key to start SF2 Hyper Fighting!
pause >nul
echo While playing, hit F10 to go to main menu, F9 to pause, Esc to quit.
echo Have Fun! (hit a key to continue)
pause >nul
goto starthyp
:miscmiss
echo Apprently you do not have enough graphic files to run this game!
echo Please extract disk B of the SF2LIU10 to this directory.
ECHO Or extract the origional Street Fighter 2 in this directory.
echo -
echo The file names needed goes as follows:
echo 1.    SF       BNK      8092 10-04-91  1:39a
echo 2.    SF2SETUP EXE     29460 10-04-91  1:39a
echo 3.    KER      FN       5155 10-04-91  1:39a
echo 4.    FACE     ID        695 10-04-91  1:39a
echo 5.    FACEW    ID        730 10-04-91  1:39a
echo 6.    FACEX    ID        407 10-04-91  1:39a
echo 7.    RYU      ID       4751 10-04-91  1:39a
echo 8.    SFACE    ID       1269 10-04-91  1:39a
echo 9.    FACEW    R       71824 10-04-91  1:39a
echo 10.   FACEX    R       61260 10-04-91  1:39a
echo 11.   SFACE    R       18064 10-04-91  1:39a
echo 12.   SELECT   SF2     26919 10-04-91  1:39a
echo 13.   TLOGO    SF2      4000 10-04-91  1:39a
echo ***************************************************************************
echo ******************** Consult README.TXT for more info. ********************
echo ***************************************************************************
goto end
:remiss
echo Apprently you do not have sufficient *.RE files to run this game!
echo Please extract disk B of the SF2LIU10 to this directory.
ECHO Or extract the origional Street Fighter 2 in this directory.
echo -
echo The file names needed goes as follows:
echo 1. chunli.re    164,182 bytes
echo 2. ryu.re       207,315 bytes
echo 3. blanka.re    205,618 bytes
echo 4. zangief.re   205,549 bytes
echo 5. honda.re     205,112 bytes
echo 6. ken.re       205,694 bytes
echo 7. guile.re     185,756 bytes
echo 8. dalsim.re    198,178 bytes
echo ***************************************************************************
echo ******************** Consult README.TXT for more info. ********************
echo ***************************************************************************
goto end
:starthyp
if exist hypryu.484 goto newback
if exist ryu.484 goto oldback
echo Apprently you do not have enough background files to run this game!
echo Please extract disk B of the SF2LIU10 to this directory.
echo -
echo The file names needed goes as follows:
echo 1.    RYU.484
echo 2.    GUILE.472
echo 3.    CHUNLI.452
echo 4.    DALSIM.452
echo 5.    HONDA.452
echo 6.    BLANKA.492
echo 7.    ZANGIEF.452
echo 8.    KEN.432
echo ***************************************************************************
echo ******************** Consult README.TXT for more info. ********************
echo ***************************************************************************
goto end
:oldback
hypsf190.exe hypfile0.cfg
hyp-#set.com
goto end
:newback
hypsf190.exe hypfile.cfg
hyp-#set.com
goto end
:startoldsf2
sf190 sf2file.cfg
goto end
:end
